%define subrel 1
%define __requires_exclude ^(pear\\(Auth.*|pear\\(PHPUnit.*|pear\\(config.*|pear\\(sample[1234]\\.php\\)|pear\\(.*sodium.*|pear\\(phar:/.*)$

Name:           ampache
Version:        3.8.8
Release:        %mkrel 3
Summary:        Web-based MP3/Ogg/RM/Flac/WMA/M4A manager
License:        AGPLv3+
Group:          Networking/WWW
URL:            http://www.ampache.org
Source0:        https://github.com/ampache/ampache/releases/download/%{version}/%{name}-%{version}_all.zip
Patch0:         ampache-browser.patch
Requires:       apache
Requires:       apache-mod_php
Requires:       php-iconv
Requires:       php-mbstring
Requires:       php-mysql
BuildArch:      noarch

%description
Ampache is a Web-based MP3/Ogg/RM/Flac/WMA/M4A manager.
It allows you to view, edit, and play your audio files via HTTP/IceCast/Mpd
or Moosic. It has support for downsampling, playlists, artist,
and album views, album art, random play, song play tracking, user themes,
and remote catalogs using XML-RPC.

%prep
%setup -q -c
%patch0 -p1

%build
# Nothing to do!!

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -r * %{buildroot}%{_datadir}/%{name}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# Ampache configuration

Alias /%{name} %{_datadir}/%{name}
<Directory %{_datadir}/%{name}>
    Require all granted
</Directory>
EOF

%files
%doc docs/{ACKNOWLEDGEMENTS,CHANGELOG.md,PLUGINS}
%{_datadir}/%{name}
%config(noreplace) %{_webappconfdir}/%{name}.conf
%license docs/AGPL-LICENSE


%changelog
* Mon Mar 02 2020 solbu <solbu> 3.8.8-3.1.mga7
+ Revision: 1552753
- Fix invalid install procedure, breaking the installed setup

* Wed Feb 06 2019 shlomif <shlomif> 3.8.8-3.mga7
+ Revision: 1363589
- remove bogus php deps

* Thu Sep 20 2018 umeabot <umeabot> 3.8.8-2.mga7
+ Revision: 1277600
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 3.8.8-1.mga7
+ Revision: 1241585
- New version 3.8.8

* Mon Jul 17 2017 shlomif <shlomif> 3.8.3-1.mga7
+ Revision: 1124241
- New version 3.8.3

* Fri Apr 08 2016 daviddavid <daviddavid> 3.8.2-2.mga6
+ Revision: 999283
- filter out invalid auto-requires

* Fri Feb 19 2016 shlomif <shlomif> 3.8.2-1.mga6
+ Revision: 969210
- New version 3.8.2

* Fri Feb 05 2016 umeabot <umeabot> 3.5.4-11.mga6
+ Revision: 939035
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.4-10.mga5
+ Revision: 749036
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 3.5.4-9.mga5
+ Revision: 733971
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.4-8.mga5
+ Revision: 677752
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.5.4-7.mga4
+ Revision: 522531
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 guillomovitch <guillomovitch> 3.5.4-6.mga3
+ Revision: 403583
- fix default apache configuration file (#8923)
- fix deprecated Call-time pass-by-reference usage

* Fri Jan 11 2013 umeabot <umeabot> 3.5.4-5.mga3
+ Revision: 345531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 shlomif <shlomif> 3.5.4-4.mga3
+ Revision: 268484
- Add missing Requires. See bug #6481.
- Convert tabs to spaces
- Remove trailing space

* Wed Jan 19 2011 erwan <erwan> 3.5.4-3.mga1
+ Revision: 24768
- imported package ampache

